Subject: Re: [CFT] 2.6.x experimental net driver updates

From: Jeff Garzik <[email-masked]>
Date: Thu, 20 Nov 2003 00:23:44 -0500

[email-masked] wrote:
> On Wed, Nov 19, 2003 at 12:33:08PM -0500, Jeff Garzik wrote:
> 
>>Ok, Al Viro's net driver refcounting work is pretty much complete, and 
> 
> 
> The hell it is.  We are through with legacy probes, we are through with
> init_etherdev(), we are practically through with static struct net_device.

hehe :)  I don't mean to suggest that all is clean and pure :)

> However, we still have weird allocators (I've got almost all of them
> done by now, will submit in the next batch) and we still have struct
> net_device embedded as a field of other structures in several drivers.

Some of that will be interesting.  ns83820 for example embedded 
net_device on purpose...  Ben seemed to think at the time it gave him 
some speed, a few less pointer derefs and such.

	Jeff